Bug 85684 - RHAS21 Kernel 2.4.9-e.3 does not recognize Compaq NC7781 PCI-X NICs.
RHAS21 Kernel 2.4.9-e.3 does not recognize Compaq NC7781 PCI-X NICs.
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
i686 Linux
high Severity high
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-03-05 18:25 EST by Juan Zavala
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-05 11:28:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Juan Zavala 2003-03-05 18:25:00 EST
Description of problem:
RHAS21 CDs install Kernel 2.4.9-e.3 which do not recognize Compaq NC7781 PCI-X 
Found bcm5700-2.2.30-1.src.rpm at 

and its instructions at 

Follow them with no errors at all. At the end verified modules.conf has entries 
alias eth0 bcm5700
alias eth1 bcm5700

and run insmod bcm5700

No errors issued at all. When trying Network Configuration noticed the 
available devices list did not have this new NIC (bcm5700 or Compaq or NC7781) 
so I could not pick any that can successfully initialize the cards.

HP's instructions for rpm mention linux 2.4.9-e.8 and my RHAS21 CDs installed 
linux 2.4.9-e.3
So I tried for hours at Red Hat web site to find a way to upgrade my e.3 to e.8 
and try the HP rpm again. But no luck, could find a patch or way to do that. 
List of patches (security, bugs, improvement) did not give me a clue.

So, I got stucked !! I have my server running RHAS21 with no network 
conectivity, useless !! Please help.

Server config:
HP Proliant DL380G3 1 PIV CPU @2.8GHz, 1.5Gb RAM, Compaq Smart 5i Array 
Controller, 1 36GBHDD, 1 72Gb HDD

Your HCL lsit shows this model certified with NICs from Bradcom Corp NetXtreme 
BCM5703X Gigabit Ethernet rev02, (not exactly what I got in my server)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Arjan van de Ven 2003-03-05 18:28:31 EST
we have released an erratum with newer drivers, and also have a driver diskette
that can be used until then. I think our support folks are the best place to get
that disk
Comment 2 Juan Zavala 2003-03-06 14:21:05 EST
Dear Arjan,
in referennce to your comment:
"we have released an erratum with newer drivers, and also have a driver diskette
that can be used until then. I think our support folks are the best place to get
that disk"
Please tell me the URL where I can find such new drivers/diskettes. I all was 
able to find points to Kernel 2.4.18-x-y I think for RedHat 8.0 nothing for 
RHAS21. Neither I could find a way to contact your support colleagues, any 800 
number you can provided?
Comment 3 Juan Zavala 2003-03-06 16:27:01 EST
Just confirmed with HP: I must upgrade my RHAS21 Kernel 2.4.9-e.3 to 2.4.9-e.8 
in other to successfully apply bcm5700 package
Please I need help. I am trying to put my server into production and getting 
stuck !!
Comment 5 Suzanne Hillman 2003-08-05 11:28:02 EDT
The original bug has been fixed in later updates. Please contact support of aid
is required for this bug, as bugzilla is not the correct tool for support requests.
Comment 6 Charles Lim 2003-12-04 14:04:15 EST
This is not a bug. I had exact same problem and was lucky to talk to 
a knowledgeable HP support engineer who pointed out my mistake. My 
HW/SW is HP DL380G3/RHAS 2.1/Kernel 2.4.9-e.3smp using the bcm5700-
6.2.11a-1.src.rpm. This driver IS backwards compatible. I didn't have 
to to do kernel upgrade to 2.4.9-e.24 to match the bcm driver.

You can first type uname -r to get the kernel version you are running 
(either the up, smp or enterprise) and then, edit the 
file /usr/src/linux-2.4/Makefile and make sure the 4th line matches 
you kernel version. By default it will be something like -e.3custom, 
so replace this with -e.3smp or whichever kernel version you have. 
You can then redo the whole process from the notes. Where you have to 
rpm install, use --force. 
Then where you do this, 
  # make -e KERNELRELEASE=`uname -r` oldconfig
  # make -e KERNELRELEASE=`uname -r` dep

make sure you are using the LEFT SINGLE QUOTE!!!

or you can simply do:
  # make oldconfig
  # make dep

The rest is straight forward.
Comment 7 acount closed by user 2003-12-05 15:52:23 EST
Charles Lim:  "Red Hat does not support 3rd party kernel modules in
any way, wether they are proprietary/binary only, open source, GPL, or
otherwise.  We also do not support user compiled kernels or kernel
modules.  We only support the binary kernel we ship, with the binary
modules we ship.  This includes patched sources as well as unmodified

Note You need to log in before you can comment on or make changes to this bug.